Type to search.

Create or update a Logstash pipeline

Base URL
https://{kibana_url}
  • PUT /api/logstash/pipeline/{id}
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Preview This functionality is in technical preview and is ready for evaluation. Use with caution in production; it is not recommended for mission-critical workloads. Elastic will work to fix any issues, but features in technical preview are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Create a centrally-managed Logstash pipeline or update a pipeline. To use this API, you must have either the logstash_admin built-in role or a customized Logstash writer role.

Secure your connection

Path parameters

id string required

An identifier for the pipeline. Pipeline ID must begin with a letter or underscore and can contain only letters, underscores, dashes, hyphens, and numbers.

Request body

description string · max length: 1024

A description of the pipeline.

pipeline string required

A definition for the pipeline.

settings object

Supported settings, represented as object keys, include the following:

  • pipeline.workers
  • pipeline.batch.size
  • pipeline.batch.delay
  • pipeline.ecs_compatibility
  • pipeline.ordered
  • queue.type
  • queue.max_bytes
  • queue.checkpoint.writes

Response

204

Indicates a successful call